xcb_composite_unredirect_window(3)

NAME
xcb_composite_unredirect_window - Terminate redirection of the specified window.

SYNOPSIS
#include <xcb/composite.h>

  Request function

xcb_void_cookie_t xcb_composite_unredirect_window(xcb_connection_t *conn, xcb_window_t window, uint8_t update);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    The window to terminate redirection of. Must be redirected by the
        current client, or a Value error results.

update
    The update type passed to RedirectWindows. If this does not match the
        previously requested update type, a Value error results.

DESCRIPTION
Redirection of the specified window will be terminated. This cannot be
    used if the window was redirected with RedirectSubwindows.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_composite_unredirect_window_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from composite.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.